# pyawd
# Tribel Pascal - pascal.tribel@ulb.be
"""
Pyawd (standing for Pytorch Acoustic Wave Dataset) is a powerful tool for building datasets containing custom simulations of the propagation of Acoustic Wave through a given medium.
This equation is given by

$\\frac{d^2u}{dt^2} = c\\nabla^2u$

where $u$ is the displacement field, and can be either a scalar field or a vector field, $c$ is the wave propagation speed and $\\nabla^2$ is the laplacian operator.

It uses the finite differences scheme (implemented in the Devito package) to solve the Acoustic Wave Equation, and offers convenient tools for the customisation of the parameters, the handling of the data, the visualisation of the simulations.
"""
from pyawd.ScalarAcousticWaveDataset import ScalarAcousticWaveDataset
from pyawd.VectorAcousticWaveDataset import VectorAcousticWaveDataset
from pyawd.Marmousi import Marmousi
